Name: libSM
Version: 1.1.0
Release: alt0.M41.1
Summary: X Session Management Library
License: MIT/X11
Group: System/Libraries
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: gcc-c++ libICE-devel libuuid-devel xorg-proto-devel xorg-util-macros xorg-xtrans-devel

%description
X Session Management Library

%package devel
Summary: X Session Management Library and Header Files
Group: Development/C
PreReq: xorg-proto-devel
Requires: %name = %version-%release
Conflicts: XFree86-devel < 4.4 xorg-x11-devel <= 6.9.0

%description devel
%name-devel contains the libraries and header files needed to
develop programs which make use of %name.

%def_disable ipv6

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-libuuid \
	%{subst_enable ipv6} \
	--disable-static
%make_build

%install
%make DESTDIR=%buildroot install

%post -p %post_ldconfig

%postun -p %postun_ldconfig

%files
%_libdir/*.so.*

%files devel
%_includedir/X11/SM
%_libdir/*.so
%_pkgconfigdir/*.pc

%changelog
* Fri Aug 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.1.0-alt0.M41.1
- build for branch 4.1

* Wed Jul 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.1.0-alt1
- 1.1.0

* Mon May 14 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.0.3-alt1
- 1.0.3:
  + Sanitized hex string conversion in SmsGenerateClientID().
  + Fixed some const vs non-const mix ups.
  + Don't reinvent the wheel and just use strdup().
  + Removed some global writable variables.
  + Revert "Don't reinvent the wheel and just use strdup()."
  + Another tiny char* vs const char* fix.

* Sat Oct 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Thu Apr 27 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Mon Jan 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0-alt3
- added requires to %name-devel from buildrequires

* Fri Jan 20 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0-alt2
- fixed requires for %name-devel

* Mon Dec 26 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.99.3-alt1
- Xorg-7.0RC3

* Mon Nov 21 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.99.2-alt0.1
- initial build

